USB_GADGET_CONNECT(9)

NAME
usb_gadget_connect - software-controlled connect to USB host

SYNOPSIS

int usb_gadget_connect (struct usb_gadget * gadget);

ARGUMENTS

gadget
    the peripheral being connected

DESCRIPTION

Enables the D+ (or potentially D-) pullup. The host will start enumerating this gadget when the pullup is active and a VBUS session is active (the link is powered). This pullup is always enabled unless usb_gadget_disconnect has been used to disable it.

Returns zero on success, else negative errno.

AUTHOR
David Brownell <dbrownell@users.sourceforge.net>.